#!/usr/bin/env bash
 
python create_negative_samples.py \
    --num_samples 8 \
    --grammar 1 \
    --min_len 1 \
    --max_len 50 \
    --fpath ../data/MSI/Tomita-1/test_neg_src_bin0.txt \
    --exclude ../data/MSI/Tomita-1/train_neg_src.txt ../data/MSI/Tomita-1/val_neg_src.txt

echo "created ../data/MSI/Tomita-1/test_neg_src_bin0.txt"
python create_negative_samples.py \
    --num_samples 8 \
    --grammar 2 \
    --min_len 1 \
    --max_len 50 \
    --fpath ../data/MSI/Tomita-2/test_neg_src_bin0.txt \
    --exclude ../data/MSI/Tomita-2/train_neg_src.txt ../data/MSI/Tomita-2/val_neg_src.txt

echo "created ../data/MSI/Tomita-2/test_neg_src_bin0.txt"

for g in 3 4 5 6 7
do
    python create_negative_samples.py \
    --num_samples 2000 \
    --grammar $g \
    --min_len 1 \
    --max_len 50 \
    --fpath "../data/MSI/Tomita-${g}/test_neg_src_bin0.txt" \
    --exclude "../data/MSI/Tomita-${g}/train_neg_src.txt" "../data/MSI/Tomita-${g}/val_neg_src.txt"

    echo "created ../data/MSI/Tomita-${g}/test_neg_src_bin0.txt"

    python create_positive_samples.py \
    --num_samples 2000 \
    --grammar $g \
    --min_len 1 \
    --max_len 50 \
    --fpath "../data/MSI/Tomita-${g}/test_src_bin0.txt" \
    --exclude "../data/MSI/Tomita-${g}/train_src.txt" "../data/MSI/Tomita-${g}/val_src.txt"

    echo "created ../data/MSI/Tomita-${g}/test_src_bin0.txt"
done